You are not logged in.

#1 2020-06-06 15:03

Tolkem
Member
Registered: 2019-10-06
Posts: 45

Update youtube-dl to Bullseye; Buster's doesn't work.

There's seem to be something wrong with youtube-dl's Buster version cause it kept giving me this error

youtube says: video not available

and tried to update but got this

youtube-dl: error: youtube-dl's self-update mechanism is disabled on Debian. Please update youtube-dl using apt(8). See https://packages.debian.org/sid/youtube-dl for the latest packaged version.

but apt kept telling me that the latest youtube-dl version was installed, so I downloaded the .deb for testing a.k.a Bullseye, installed it, fortunately it gave me no errors nor was any package replaced/updated and it didn't made any changes in sources.list file and now youtube-dl works as expected. Can you add/include youtube-dl Bullseye's version so Buster's get updated from that one?

Online

#2 2020-07-13 21:53

robbertflord134
Member
Registered: 2020-07-13
Posts: 2

Re: Update youtube-dl to Bullseye; Buster's doesn't work.

I downloaded the .deb for testing a.k.a Bullseye, installed it my self, fortunately it gave me no errors, no bugs nor was any package replaced/updated and it didn't made any changes in sources.list file and now youtube-dl works as expected

Offline

#3 2020-08-03 10:23

PetarSerbia
Member
Registered: 2018-11-22
Posts: 18

Re: Update youtube-dl to Bullseye; Buster's doesn't work.

Hello. I installed youtube-dl snap package and it work OK. Only one snap install and that is youtube-dl.

Offline

#4 2020-08-03 14:24

Tolkem
Member
Registered: 2019-10-06
Posts: 45

Re: Update youtube-dl to Bullseye; Buster's doesn't work.

robbertflord134 wrote:

I downloaded the .deb for testing a.k.a Bullseye, installed it my self, fortunately it gave me no errors, no bugs nor was any package replaced/updated and it didn't made any changes in sources.list file and now youtube-dl works as expected

Ehh ... Why?? LOL

Hello. I installed youtube-dl snap package and it work OK. Only one snap install and that is youtube-dl.

Yes, I'm aware there's a snap package available and that's reported to work but if possible I'll try to avoid snap and flatpack as well for as long as I can.
Using the one from testing/bullseye works.

Online

#5 2020-08-08 15:31

Midas
Member
Registered: 2017-12-15
Posts: 48

Re: Update youtube-dl to Bullseye; Buster's doesn't work.

YouTube changes break downloaders quite often -- e.g., recently in Windows and on a particular network that I use, even the latest version of youtube-dl is failing with https://www.youtube.com/watch?v=[videoID] type URLs  and only https://youtu.be/[videoID] type ones work...

Last edited by Midas (2020-08-08 15:32)

Offline

Board footer

Powered by FluxBB